package render

import (
	"git.clearsky.net.au/cody/gex.git/pkg/gex"
	"git.clearsky.net.au/cody/gex.git/pkg/sess"
)

func global(req *gex.Req, props Props, funcs Funcs) {
	sess := req.Ctx["Sess"].(sess.Sess)

	props["Sess"] = &sess
	props["Req"] = &req

	funcs["HasRole"] = sess.HasRole
}
